Subject: [PATCH v5 3/3] input: samsung-keypad - Add samsung keypad driver

From: [email-masked] (Joonyoung Shim)
Date: Mon, 28 Jun 2010 17:39:39 +0900

Hi, Dmitry.

On 6/25/2010 5:30 PM, Dmitry Torokhov wrote:
> Hi Joonyoung,
> 
> On Mon, Jun 21, 2010 at 03:26:45PM +0900, Joonyoung Shim wrote:
>> This patch adds support for keypad driver running on Samsung cpus. This
>> driver is tested on GONI and Aquila board using S5PC110 cpu.
>>
>> Signed-off-by: Joonyoung Shim <[email-masked]>
>> Signed-off-by: Kyungmin Park <[email-masked]>
> 
> Following my conversation with Thomas Gleixner reagrding "long playing"
> threaded interrupt handlers I tried to convert your driver to use this
> concept. The idea is to keep polling within IRQ thread context instead
> of using additional work/timer structures to simplify code and ensure
> race-free shutdown/unbind.
> 
> I think it was based on v4 of your driver and I'd appreciate if you could
> give it a try.
> 
> Thank you.
> 

I have tested your patch on my v5 patchset and it is working after some
fixing. I will post v6 patchset appling your patch.

Thanks.